
function showNum(obj,objNum){
		//$(objNum).text(200);
		var num = $(obj).val().length;
		var nums = 200 - num;		
		$(objNum).text(nums);
};
$(function(){//jsTextarea jsNum
	showNum("#jsTextarea","#jsNum");
	$("#jsTextarea").bind("keyup blur",function(){
			if($.browser.msie && $(this).val().length>200 )
		{
			$(this).val($(this).val().substring(0, 200));
		};
		showNum("#jsTextarea","#jsNum");
	}); 
})


$(function(){
	
	$(".jsTextIn").each(function(index, element) {
		$(this).focus(function(){
			$(this).prev(".labelFor").hide()
		}).blur(function(){
			if($(this).val() == "")
				$(this).prev(".labelFor").show()
		})
		if($(this).val() != "")
			$(this).prev(".labelFor").hide()
	});
	$(".jsLink").live("click",function(){
		$(this).parents(".uploadPic").remove();
		return false;
	});
	
	
	$("#addcollect").click(function() {
		var ctrl = (navigator.userAgent.toLowerCase()).indexOf('mac') != -1 ? 'Command/Cmd': 'CTRL';
		if (document.all) {
			window.external.addFavorite("http://www.house365.com", "");
		} else if ((typeof window.sidebar == "object") && (typeof
window.sidebar.addPanel == "function")) {
			window.sidebar.addPanel("", "http://www.house365.com", "");
		} else {
			alert('您可以尝试通过快捷键' + ctrl + ' + D 加入到收藏夹~');
		}
	});
		
	$("#jsAllSell").hover(function(){
		$(this).addClass("itemHover")
	},function(){
		$(this).removeClass("itemHover");
	});
	$("#jsUpForm").validate({
		groups:{
   			 username:"mobile email"
		},
		errorPlacement:function(error,element) {
			if (element.attr("name") == "mobile" || element.attr("name") == "email")
				error.insertAfter("#jsErrorBox");
   			else
				error.appendTo(element.parents(".inner").find(".errorBox")); 
   		},
		rules:{
			details:{
				required:true,
				maxlength:200
			},
			mobile:{
				digits:true,
				minlength:11,
				required:function(){
					if($("#email").val()=="")
						return true;
					else 
						return false;
				}
			},
			email:{
				email:true,
				required:function(){
					if($("#mobile").val()=="")
						return true;
					else
						return false;
				}
			}
		},
		messages:{
			details:{
				required:"请填写反馈内容",
				maxlength:"最多只能输入200字"
			},
			mobile:{
				digits:"请正确填写手机号码",
				minlength:"请正确填写11位手机号码",
				required:"请填写手机号码或者邮箱地址"
			},
			email:{
				email:"请正确填写邮箱地址",
				required:"请填写手机号码或者邮箱地址"
			}					
		} 
			
	})
	
	
})